/* =========================
   FOOTER
========================= */
.footer {
  background: #205C40;
  padding: 60px 0 40px;
  color: #F5F8F8;
 
}

.footer__container {
  width: min(1400px, 92%);
  margin: 0 auto;
}

.footer__top {
  display: grid;
  grid-template-columns: 1fr 1.2fr 1fr 1.2fr;
  gap: 40px;
  align-items: start;
}

.footer__title,
.footer__quote {
  font-size: 20px;
  font-weight: 600;
  color: #f0d7a0;
  margin: 0 0 24px;
  line-height: 1.3;
  font-family: "League Spartan", sans-serif;
}

.footer__list {
  list-style: none;
  margin: 0;
  padding: 0;
  font-weight: 400;
}

.footer__list li {
  margin-bottom: 26px;
  
}

.footer__list a,
.footer__contact a {
  color: #b4c3af;
  text-decoration: none;
  font-size: 18px;
  transition: color 0.3s ease;
  font-family: "Raleway", sans-serif;
}

.footer__list a:hover,
.footer__contact a:hover {
  color: #f0d7a0;
}

.footer__contact {
  display: flex;
  align-items: center;
  gap: 12px;
  flex-wrap: wrap;
  color: #b4c3af;
  font-size: 18px;
}

.footer__contact span {
  min-width: 68px;
}

.footer__socials {
  display: flex;
  gap: 18px;
  flex-wrap: wrap;
}

.footer__socials img {
  width: 50px;
  height: 50px;
  object-fit: contain;
}

.footer__socials a {
  width: 40px;
  height: 40px;
  border-radius: 50%;
  background: #f0d7a0;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  color: #f0d7a0;
  font-size: 20px;
  text-decoration: none;
  transition: all 0.3s ease;
}

.footer__socials a:hover {
  background: #f0d7a0;
  color: #0f5a35;
  transform: translateY(-3px);
}

.footer__col--right {
  text-align: left;
}

.footer__note {
  margin: 0;
  color: #b4c3af;
  font-size: 18px;
  line-height: 1.5;
}

.footer__bottom {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 20px;
  margin-top: 140px;
  flex-wrap: wrap;
}

.footer__bottom p {
  margin: 0;
  color: #b4c3af;
  font-size: 16px;
}

.footer__bottom a {
  color: inherit;
  text-decoration: none;
}

.footer__bottom a:hover {
  color: #f0d7a0;
}

/* =========================
   RESPONSIVE
========================= */
@media (max-width: 1199px) {
  .footer__top {
    grid-template-columns: 1fr 1fr;
    gap: 40px;
  }

  .footer__bottom {
    margin-top: 80px;
  }
}

@media (max-width: 767px) {
  .footer {
    padding: 45px 0 30px;
  }

  .footer__top {
    grid-template-columns: 1fr 1fr;
    gap: 30px 10px;
    align-items: start;
  }

  .footer__top .footer__col:nth-child(1) {
    grid-column: 1 / 3;
    grid-row: 1;
  }

  .footer__top .footer__col:nth-child(2) {
    grid-column: 2 / 3;
    grid-row: 1;
  }

  .footer__top .footer__col:nth-child(3) {
    grid-column: 1 / 3;
    grid-row: 2;
    text-align: center;
  }

  .footer__top .footer__col:nth-child(4) {
    grid-column: 1 / 3;
    grid-row: 3;
    text-align: center;
  }

  .footer__title,
  .footer__quote {
    font-size: 18px;
    margin-bottom: 18px;
  }

  .footer__list li {
    margin-bottom: 18px;
  }

  .footer__list a,
  .footer__contact,
  .footer__note {
    font-size: 16px;
  }

  .footer__contact {
    align-items: flex-start;
    gap: 6px;
  }

  .footer__contact span {
    min-width: auto;
    display: block;
    width: 100%;
  }

  .footer__contact a {
    overflow: hidden;
    text-overflow: ellipsis;
  }

  .footer__socials {
    justify-content: center;
  }

  .footer__socials a {
    width: 40px;
    height: 40px;
    font-size: 22px;
  }

  .footer__col--right {
    text-align: center;
  }

  .footer__note {
    text-align: center;
  }

  .footer__bottom {
    margin-top: 50px;
    flex-direction: column;
    align-items: center;
    gap: 10px;
    text-align: center;
  }

  .footer__bottom p {
    font-size: 14px;
  }
}
